/*
 * JSPTem - use jsp's for all your templating!
 * Copyright (c) 2006, Paul Tuckey
 * All rights reserved.
 *
 * JSPTem is based on GNUJSP
 * Copyright (C) 1999, Yaroslav Faybishenko <yaroslav@cs.berkeley.edu>
 *
 * Each copy or derived work must preserve the copyright notice and this
 * notice unmodified.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
package org.tuckey.jsptem.servlet;

import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpSession;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.PageContext;
import java.io.IOException;
import java.util.Enumeration;

public class JspTemPageContext extends PageContext {

    private JspTemHttpServletRequest request;

    public JspTemPageContext(Servlet servlet, ServletRequest servletRequest, ServletResponse servletResponse, String string, boolean b, int i, boolean b1) {
        this.request = (JspTemHttpServletRequest) servletRequest;
    }

    public JspTemPageContext(Object o, ServletRequest servletRequest, ServletResponse servletResponse) {
        this.request = (JspTemHttpServletRequest) servletRequest;
    }

    public void release() {

    }

    public Exception getException() {
        return null;
    }

    public void handlePageException(Exception exception) throws ServletException, IOException {

    }

    public Object getPage() {
        return null;
    }

    public void forward(String string) throws ServletException, IOException {

    }

    public void include(String string) throws ServletException, IOException {

    }

    public void include(String string, boolean b) throws ServletException, IOException {

    }

    public void handlePageException(Throwable throwable) throws ServletException, IOException {

    }

    public ServletConfig getServletConfig() {
        return new JspTemServletConfig();
    }

    public ServletContext getServletContext() {
        return new JspTemServletContext();
    }

    public ServletRequest getRequest() {
        return null;
    }

    public ServletResponse getResponse() {
        return null;
    }

    public HttpSession getSession() {
        return new JspTemHttpSession();
    }

    public void initialize(Servlet servlet, ServletRequest servletRequest, ServletResponse servletResponse, String string, boolean b, int i, boolean b1) throws IOException, IllegalStateException, IllegalArgumentException {

    }

    public int getAttributesScope(String string) {
        return 0;
    }

    public void removeAttribute(String string) {

    }

    public void removeAttribute(String string, int i) {

    }

    public Enumeration getAttributeNamesInScope(int i) {
        return null;
    }

    public JspWriter getOut() {
        return new JspTemJspWriter(request.getWriter());
    }

    public Object findAttribute(String string) {
        return null;
    }

    public Object getAttribute(String string) {
        return null;
    }

    public Object getAttribute(String string, int i) {
        return null;
    }

    public void setAttribute(String string, Object object) {

    }

    public void setAttribute(String string, Object object, int i) {

    }
}
